using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 客户统计数据
    /// </summary>
    [SugarTable("YB_BusinessRealData", TableDescription = "客户统计数据", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_BusinessRealData
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public System.Int32 Id { get; set; }

        /// <summary>
        /// 客户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "客户ID")]
        public System.Int32 BusinessId { get; set; }

        /// <summary>
        /// 今日称重次数
        /// </summary>
        [SugarColumn(ColumnDescription = "今日称重次数")]
        public System.Int32 TodayResultCnt { get; set; }

        /// <summary>
        /// 累计称重次数
        /// </summary>
        [SugarColumn(ColumnDescription = "累计称重次数")]
        public System.Int32 TotalResultCnt { get; set; }

        /// <summary>
        /// 今日关注数量
        /// </summary>
        [SugarColumn(ColumnDescription = "今日关注数量")]
        public System.Int32 TodayRealCnt { get; set; }

        /// <summary>
        /// 累计关注数量
        /// </summary>
        [SugarColumn(ColumnDescription = "累计关注数量")]
        public System.Int32 TotalRealCnt { get; set; }

        /// <summary>
        /// 今日收益,单位为分
        /// </summary>
        [SugarColumn(ColumnDescription = "今日收益,单位为分", ColumnDataType = "decimal(18,2)")]
        public System.Decimal TodayIncome { get; set; }

        /// <summary>
        /// 累计收益
        /// </summary>
        [SugarColumn(ColumnDescription = "累计收益", ColumnDataType = "decimal(18,2)")]
        public System.Decimal TotalIncome { get; set; }

        /// <summary>
        /// 可提现余额
        /// </summary>
        [SugarColumn(ColumnDescription = "可提现余额", ColumnDataType = "decimal(18,2)")]
        public System.Decimal Balance { get; set; }

        /// <summary>
        /// 累计提现金额
        /// </summary>
        [SugarColumn(ColumnDescription = "累计提现金额", ColumnDataType = "decimal(18,2)")]
        public System.Decimal TotalTxAmount { get; set; }

        /// <summary>
        /// 设备台数
        /// </summary>
        [SugarColumn(ColumnDescription = "设备台数")]
        public System.Int32 DevCount { get; set; }

        /// <summary>
        /// 今日活跃设备台数
        /// </summary>
        [SugarColumn(ColumnDescription = "今日活跃设备台数")]
        public System.Int32 TodayDevCount { get; set; }

        /// <summary>
        /// 子商户数量
        /// </summary>
        [SugarColumn(ColumnDescription = "子商户数量")]
        public System.Int32 BusinessCount { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
